PETSc version 3.15.5
Fix/Edit manual page

# PetscWaitOnError

If an error is detected and the process would normally exit the main program with MPI_Abort() sleep instead of exiting.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscWaitOnError()

Not Collective

### Notes

When -start_in_debugger -debugger_ranks x,y,z is used this prevents the processes NOT listed in x,y,z from calling MPI_Abort and killing the user's debugging sessions.

### See Also

PetscSetDebugger(), PetscAttachDebugger()

### Level

advanced

### Location

src/sys/error/adebug.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages